package com.flyfish.framework.domain.po;

import com.flyfish.framework.domain.tree.TreeDomain;
import lombok.*;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 部门
 *
 * @author wangyu
 */
@Document
@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class Department extends TreeDomain<Department> {

    public static final String PUBLIC = "public";

    /**
     * 部门的完整名称
     */
    private String fullName;

    /**
     * 默认选中
     */
    private Boolean primary;

    /**
     * 负责人
     */
    private String manager;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 地址
     */
    private String address;

    /**
     * 是否是部门（叶子节点）
     */
    private Boolean leaf;

    /**
     * 排序字段
     */
    private String pos;
}
