package com.flyfish.framework.repository;

import com.flyfish.framework.domain.po.User;
import reactor.core.publisher.Mono;

/**
 * 异步用户仓库
 *
 * @author wybab
 */
public interface UserRepository extends DefaultReactiveRepository<User> {

    /**
     * 通过用户名密码查询用户
     *
     * @param username 用户名
     * @param password 密码
     * @return 结果
     */
    Mono<User> findByUsernameAndPassword(String username, String password);

    /**
     * 通过用户名查询
     *
     * @param username 用户名
     * @return 结果
     */
    Mono<User> findByUsername(String username);
}
