package com.flyfish.framework.beans.meta.parser.chain.impl;

import com.flyfish.framework.beans.meta.parser.BeanPropertyAnnotations;
import com.flyfish.framework.beans.meta.parser.chain.AnnotationChainSupport;
import lombok.RequiredArgsConstructor;

/**
 * 基本的链式支持
 *
 * @author wangyu
 */
@RequiredArgsConstructor
public class BasicAnnotationChainSupport implements AnnotationChainSupport {

    // 父级
    protected final BeanPropertyAnnotations parent;

    /**
     * 下一步要做什么
     *
     * @return 结果
     */
    @Override
    public BeanPropertyAnnotations and() {
        return parent.last(false);
    }

    /**
     * 下一步要做什么，如果这一步不成立，才执行
     *
     * @return 结果
     */
    @Override
    public BeanPropertyAnnotations or() {
        return parent;
    }

    /**
     * 主动停止操作，会清空前面的状态
     */
    @Override
    public void end() {
        parent.last(false);
    }
}
